# ddoc11479

- `S1`

  #### Declaration

  `struct `S1`(T);`

  - `a`

    #### Declaration

    `int `a`;`

  - `b`

    #### Declaration

    `int `b`;`

  - `c`

    #### Declaration

    `int `c`;`

- `S2`

  #### Declaration

  `struct `S2`(T);`

  - `a`

    #### Declaration

    `int `a`;`

  - `b`

    #### Declaration

    `int `b`;`

  - `c`

    #### Declaration

    `int `c`;`

  - `d`

    #### Declaration

    `int `d`;`

- `S3`

  #### Declaration

  `struct `S3`(T);`

  - `a`

    #### Declaration

    `int `a`;`

  - `b`

    #### Declaration

    `int `b`;`

  - `c`

    #### Declaration

    `int `c`;`

  - `d`

    #### Declaration

    `int `d`;`

  - `e`

    #### Declaration

    `int `e`;`